
import { useEffect } from 'react';
import Taro, { useRouter } from '@tarojs/taro';
import withBasic from '@/layouts/withBasic'
import PageLoading from '@/components/PageLoading'
import { getQueryParam, getQueryString } from '@/utils/codeSegment';

const QRCodePage = (props) => {
  const router = useRouter()
  const scene = router?.params?.scene

  useEffect(() => {
    if (scene) {
      const { type, ...queryParams } = getQueryParam(scene);
      let queryStr = getQueryString(queryParams) || ''
      if (queryStr) {
        queryStr = `?${queryStr}`
      }

      switch (type) {
        case 'carddetail':
          const url = `/pages/dogCardDetail/index${queryStr}`
          Taro.reLaunch({ url })
          break;
        default:
          Taro.reLaunch({ url: '/pages/index/index' })
      }

    }
  }, [scene])

  return <PageLoading />
}

export default withBasic(QRCodePage, PageLoading)
